/* eslint-disable no-multi-assign */
import React from 'react';
import { render, cleanup } from '@testing-library/react';
import '@testing-library/jest-dom/extend-expect';
import getPaymentData from '../../../../../../../tests/factories/pages/payment.factory';
import TemplateTwo from '.';

describe('Payment Header template two  component', () => {
  const data = getPaymentData();

  test('Payment Template two Active', () => {
    const { container, getByText } = render(<TemplateTwo {...data} />);
    expect(getByText('Next')).toBeTruthy();
    expect(container.querySelectorAll('h1')).toHaveLength(1);
    expect(getByText('20 Free Spins No Deposit Bonus')).toBeTruthy();
    expect(getByText('+ 300% & 555 Spins Welcome Bonus')).toBeTruthy();
    expect(getByText('Visit')).toBeTruthy();
    expect(container.querySelectorAll('a')).toHaveLength(2);
    expect(container.getElementsByClassName('desc')).toBeTruthy();
  });
});

afterEach(() => {
  cleanup();
});
