/* eslint-disable import/no-extraneous-dependencies */
import React from 'react';
import {
  Title,
  Description,
  Primary,
  PRIMARY_STORY,
  ArgsTable,
} from '@storybook/addon-docs/blocks';

import HorseRacingCalculator from '.';

export default {
  title: 'Theme/Modules/Template Blocks/Calculators/Horse Racing',
  component: HorseRacingCalculator,
  argTypes: {},
  parameters: {
    docs: {
      description: {
        component: 'Horse racing calculator component',
      },
      page: () => (
        <>
          <Title />
          <Description />
          <Primary />
          <ArgsTable story={PRIMARY_STORY} />
        </>
      ),
    },
  },
};

const Template = (args) => <HorseRacingCalculator {...args} />;

export const Default = Template.bind({});
