import React from 'react';
import TemplateOne from '.';
import data from '../../../../../../tests/factories/cards/articles.factory';

export default {
  title: 'Theme/Modules/Cards/Articles/Template Two',
  component: TemplateOne,
  argTypes: {
    showAuthorOnOneLine: true,
    item: data,
  },
};

const Template = (args) => (
  <div
    style={{
      maxWidth: '30rem',
      margin: '0 auto',
    }}
  >
    <TemplateOne {...args} />
  </div>
);
export const Default = Template.bind({});
Default.args = {
  item: data,
};
